Package org.silverpeas.components.gallery.delegate

## Class MediaDataUpdateDelegate

- java.lang.Object
- - org.silverpeas.components.gallery.delegate.AbstractMediaDataDelegate
  - - org.silverpeas.components.gallery.delegate.MediaDataUpdateDelegate

-     public class MediaDataUpdateDelegate
      extends AbstractMediaDataDelegate

  Author:
    Yohann Chastagnier

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.components.gallery.delegate.AbstractMediaDataDelegate

      `AbstractMediaDataDelegate.HeaderData`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MediaDataUpdateDelegate​(MediaType mediaType, String language, String albumId, List<org.silverpeas.core.util.file.FileItem> parameters)` |
    `MediaDataUpdateDelegate​(MediaType mediaType, String language, String albumId, List<org.silverpeas.core.util.file.FileItem> parameters, boolean skipEmptyValues)` |

  - ### Method Summary

    - ### Methods inherited from class org.silverpeas.components.gallery.delegate.AbstractMediaDataDelegate

      `getAlbumId, getFileItem, getHeaderData, getLanguage, getMediaType, isForm, isHeaderData, isSkipEmptyValues, setForm, updateForm, updateHeader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MediaDataUpdateDelegate

          public MediaDataUpdateDelegate​(MediaType mediaType,
                                         String language,
                                         String albumId,
                                         List<org.silverpeas.core.util.file.FileItem> parameters)

    - #### MediaDataUpdateDelegate

          public MediaDataUpdateDelegate​(MediaType mediaType,
                                         String language,
                                         String albumId,
                                         List<org.silverpeas.core.util.file.FileItem> parameters,
                                         boolean skipEmptyValues)